A monitoring zone is a location that Rackspace Cloud Monitoring collects data from. Examples of monitoring zones are "US West", "DFW1" or "ORD1". It is an abstraction for a general location from which data is collected.
An "endpoint," also known as a "collector," collects data from the monitoring zone. The endpoint is mapped directly to an individual machine or a virtual machine. A monitoring zone contains many endpoints, all of which will be within the IP address range listed in the response. The opposite is not true, however, as there may be unallocated IP addresses or unrelated machines within that IP address range.
A check references a list of monitoring zones it should be run from.
![]() | Note |
|---|---|
Users cannot create, update or delete monitoring zones. |
| Name | Description | Validation |
| country_code | Country Code |
|
| label | Label |
|
| source_ips | Source IP list |
|
| Verb | URI | Description | |||||
| GET | /monitoring_zones | List the monitoring zones. | |||||
There are no parameters for this call.
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
Example 4.66. List Monitoring Zones Response: XML
<?xml version="1.0" encoding="utf-8"?>
<container>
<values>
<monitoring_zone id="mzAAAAA">
<label>US South (Atlanta) - 5</label>
<country_code>US</country_code>
<source_ips>
<ip>1.2.0.0/24</ip>
</source_ips>
</monitoring_zone>
</values>
<metadata>
<count>1</count>
<limit>50</limit>
<marker/>
<next_marker/>
<next_href/>
</metadata>
</container>
Example 4.67. List Monitoring Zones Response: JSON
{
"values": [
{
"id": "mzAAAAA",
"label": "US South (Atlanta) - 5",
"country_code": "US",
"source_ips": [
"1.2.0.0/24"
]
}
],
"metadata": {
"count": 1,
"limit": 50,
"marker": null,
"next_marker": null,
"next_href": null
}
}
| Verb | URI | Description | |||||
| GET | /monitoring_zones/monitoringZoneId |
Get information for a single monitoring zone. | |||||
There are no parameters for this call.
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
Example 4.68. Get Monitoring Zone Response: XML
<?xml version="1.0" encoding="utf-8"?>
<monitoring_zone id="mzAAAAA">
<label>US South (Atlanta) - 5</label>
<country_code>US</country_code>
<source_ips>
<ip>1.2.0.0/24</ip>
</source_ips>
</monitoring_zone>
Example 4.69. Get Monitoring Zone Response: JSON
{
"id": "mzAAAAA",
"label": "US South (Atlanta) - 5",
"country_code": "US",
"source_ips": [
"1.2.0.0/24"
]
}
| Verb | URI | Description | ||||||
| POST | /monitoring_zones/monitoringZoneId/traceroute |
Perform a traceroute from a collector in the specified monitoring zones. | ||||||
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
This API lets you run a Traceroute from a Monitoring Zone to a Hostname or IP address. Like all Cloud Monitoring features, the Traceroute API is fully dual stack, supporting both IPv4 and IPv6. The Traceroute API can be used to debug networking issues between the Cloud Monitoring collectors and your infrastructure.
| Name | Description | Validation |
| target | Traceroute target IP or hostname. |
|
| target_resolver | Target resolver type. Only applicable if hostname is provided. |
|
Example 4.70. Traceroute Request: XML
<?xml version="1.0" encoding="utf-8"?> <traceroute> <target>google.com</target> <target_resolver>IPv4</target_resolver> </traceroute>
Example 4.72. Traceroute Response: XML
<?xml version="1.0" encoding="utf-8"?>
<traceroute>
<hops>
<hop>
<number>1</number>
<rtts>3.025</rtts>
<rtts>3.116</rtts>
<rtts>3.189</rtts>
<ip>50.57.208.106</ip>
</hop>
<hop>
<number>2</number>
<rtts>0.675</rtts>
<rtts>0.943</rtts>
<rtts>1.083</rtts>
<ip>50.56.6.34</ip>
</hop>
<hop>
<number>3</number>
<rtts>0.558</rtts>
<rtts>0.824</rtts>
<ip>50.56.6.16</ip>
</hop>
<hop>
<number>3</number>
<rtts>0.606</rtts>
<ip>50.56.6.18</ip>
</hop>
<hop>
<number>4</number>
<rtts>0.239</rtts>
<rtts>0.252</rtts>
<rtts>0.247</rtts>
<ip>184.106.126.139</ip>
</hop>
<hop>
<number>5</number>
<rtts>3.418</rtts>
<rtts>3.444</rtts>
<rtts>3.453</rtts>
<ip>69.31.110.241</ip>
</hop>
<hop>
<number>6</number>
<rtts>1.219</rtts>
<rtts>1.231</rtts>
<ip>69.31.110.249</ip>
</hop>
<hop>
<number>6</number>
<rtts>1.3</rtts>
<ip>69.31.110.253</ip>
</hop>
<hop>
<number>7</number>
<rtts>2.463</rtts>
<rtts>2.224</rtts>
<rtts>2.196</rtts>
<ip>206.223.119.21</ip>
</hop>
<hop>
<number>8</number>
<rtts>1.831</rtts>
<rtts>2.041</rtts>
<rtts>1.814</rtts>
<ip>209.85.254.130</ip>
</hop>
<hop>
<number>9</number>
<rtts>2.558</rtts>
<rtts>1.977</rtts>
<rtts>3.105</rtts>
<ip>72.14.237.133</ip>
</hop>
<hop>
<number>10</number>
<rtts>51.028</rtts>
<ip>216.239.46.214</ip>
</hop>
<hop>
<number>10</number>
<rtts>29.526</rtts>
<ip>216.239.46.216</ip>
</hop>
<hop>
<number>10</number>
<rtts>48.987</rtts>
<ip>216.239.46.214</ip>
</hop>
<hop>
<number>11</number>
<rtts>105.6</rtts>
<ip>216.239.46.219</ip>
</hop>
<hop>
<number>11</number>
<rtts>128.521</rtts>
<ip>216.239.43.5</ip>
</hop>
<hop>
<number>11</number>
<rtts>105.548</rtts>
<ip>216.239.46.219</ip>
</hop>
<hop>
<number>12</number>
<rtts>109.492</rtts>
<ip>72.14.235.175</ip>
</hop>
<hop>
<number>12</number>
<rtts>106.523</rtts>
<ip>72.14.235.173</ip>
</hop>
<hop>
<number>12</number>
<rtts>105.952</rtts>
<ip>72.14.235.175</ip>
</hop>
<hop>
<number>13</number>
<rtts>106.482</rtts>
<ip>216.239.43.233</ip>
</hop>
<hop>
<number>13</number>
<rtts>106.92</rtts>
<rtts>106.681</rtts>
<ip>209.85.253.20</ip>
</hop>
<hop>
<number>14</number>
<rtts>129.616</rtts>
<ip>72.14.236.191</ip>
</hop>
<hop>
<number>14</number>
<rtts>106.329</rtts>
<ip>209.85.252.83</ip>
</hop>
<hop>
<number>14</number>
<rtts>106.253</rtts>
<ip>216.239.49.45</ip>
</hop>
<hop>
<number>15</number>
<ip>*</ip>
</hop>
<hop>
<number>16</number>
<rtts>106.101</rtts>
<rtts>106.075</rtts>
<rtts>106.48</rtts>
<ip>173.194.78.139</ip>
</hop>
</hops>
</traceroute>
Example 4.73. Traceroute Response: JSON
{
"result": [
{
"number": 1,
"rtts": [
3.025,
3.116,
3.189
],
"ip": "50.57.208.106"
},
{
"number": 2,
"rtts": [
0.675,
0.943,
1.083
],
"ip": "50.56.6.34"
},
{
"number": 3,
"rtts": [
0.558,
0.824
],
"ip": "50.56.6.16"
},
{
"number": 3,
"rtts": [
0.606
],
"ip": "50.56.6.18"
},
{
"number": 4,
"rtts": [
0.239,
0.252,
0.247
],
"ip": "184.106.126.139"
},
{
"number": 5,
"rtts": [
3.418,
3.444,
3.453
],
"ip": "69.31.110.241"
},
{
"number": 6,
"rtts": [
1.219,
1.231
],
"ip": "69.31.110.249"
},
{
"number": 6,
"rtts": [
1.3
],
"ip": "69.31.110.253"
},
{
"number": 7,
"rtts": [
2.463,
2.224,
2.196
],
"ip": "206.223.119.21"
},
{
"number": 8,
"rtts": [
1.831,
2.041,
1.814
],
"ip": "209.85.254.130"
},
{
"number": 9,
"rtts": [
2.558,
1.977,
3.105
],
"ip": "72.14.237.133"
},
{
"number": 10,
"rtts": [
51.028
],
"ip": "216.239.46.214"
},
{
"number": 10,
"rtts": [
29.526
],
"ip": "216.239.46.216"
},
{
"number": 10,
"rtts": [
48.987
],
"ip": "216.239.46.214"
},
{
"number": 11,
"rtts": [
105.6
],
"ip": "216.239.46.219"
},
{
"number": 11,
"rtts": [
128.521
],
"ip": "216.239.43.5"
},
{
"number": 11,
"rtts": [
105.548
],
"ip": "216.239.46.219"
},
{
"number": 12,
"rtts": [
109.492
],
"ip": "72.14.235.175"
},
{
"number": 12,
"rtts": [
106.523
],
"ip": "72.14.235.173"
},
{
"number": 12,
"rtts": [
105.952
],
"ip": "72.14.235.175"
},
{
"number": 13,
"rtts": [
106.482
],
"ip": "216.239.43.233"
},
{
"number": 13,
"rtts": [
106.92,
106.681
],
"ip": "209.85.253.20"
},
{
"number": 14,
"rtts": [
129.616
],
"ip": "72.14.236.191"
},
{
"number": 14,
"rtts": [
106.329
],
"ip": "209.85.252.83"
},
{
"number": 14,
"rtts": [
106.253
],
"ip": "216.239.49.45"
},
{
"number": 15,
"rtts": [],
"ip": "*"
},
{
"number": 16,
"rtts": [
106.101,
106.075,
106.48
],
"ip": "173.194.78.139"
}
]
}

![[Note]](/cm-v1.0-cm-devguide/common/images/admon/note.png)
